diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/wifi/test/wifi-phy-ofdma-test.cc ns-3.45/src/wifi/test/wifi-phy-ofdma-test.cc
--- ns-3.44/src/wifi/test/wifi-phy-ofdma-test.cc	2025-03-09 16:55:49.811372800 -0700
+++ ns-3.45/src/wifi/test/wifi-phy-ofdma-test.cc	2025-06-01 20:34:45.641702400 -0700
@@ -706,69 +842,93 @@
     m_phyAp->SetErrorRateModel(apErrorModel);
     m_phyAp->SetDevice(apDev);
     m_phyAp->AddChannel(spectrumChannel);
-    m_phyAp->ConfigureStandard(WIFI_STANDARD_80211ax);
+    m_phyAp->ConfigureStandard(standard);
     Ptr<ConstantPositionMobilityModel> apMobility = CreateObject<ConstantPositionMobilityModel>();
     m_phyAp->SetMobility(apMobility);
     apDev->SetPhy(m_phyAp);
     apNode->AggregateObject(apMobility);
     apNode->AddDevice(apDev);
+    apDev->SetStandard(standard);
+    if (m_modClass >= WIFI_MOD_CLASS_EHT)
+    {
+        apDev->SetEhtConfiguration(CreateObject<EhtConfiguration>());
+    }
 
     Ptr<Node> sta1Node = CreateObject<Node>();
     Ptr<WifiNetDevice> sta1Dev = CreateObject<WifiNetDevice>();
-    m_phySta1 = CreateObject<OfdmaSpectrumWifiPhy>(1);
+    m_phySta1 = CreateObject<OfdmaSpectrumWifiPhy<LatestPhyEntityType>>(1);
     Ptr<InterferenceHelper> sta1InterferenceHelper = CreateObject<InterferenceHelper>();
     m_phySta1->SetInterferenceHelper(sta1InterferenceHelper);
     Ptr<ErrorRateModel> sta1ErrorModel = CreateObject<NistErrorRateModel>();
     m_phySta1->SetErrorRateModel(sta1ErrorModel);
     m_phySta1->SetDevice(sta1Dev);
     m_phySta1->AddChannel(spectrumChannel);
-    m_phySta1->ConfigureStandard(WIFI_STANDARD_80211ax);
-    m_phySta1->SetReceiveOkCallback(MakeCallback(&TestDlOfdmaPhyTransmission::RxSuccessSta1, this));
+    m_phySta1->ConfigureStandard(standard);
+    m_phySta1->SetReceiveOkCallback(
+        MakeCallback(&TestDlOfdmaPhyTransmission<LatestPhyEntityType>::RxSuccessSta1, this));
     m_phySta1->SetReceiveErrorCallback(
-        MakeCallback(&TestDlOfdmaPhyTransmission::RxFailureSta1, this));
+        MakeCallback(&TestDlOfdmaPhyTransmission<LatestPhyEntityType>::RxFailureSta1, this));
     Ptr<ConstantPositionMobilityModel> sta1Mobility = CreateObject<ConstantPositionMobilityModel>();
     m_phySta1->SetMobility(sta1Mobility);
     sta1Dev->SetPhy(m_phySta1);
     sta1Node->AggregateObject(sta1Mobility);
     sta1Node->AddDevice(sta1Dev);
+    sta1Dev->SetStandard(standard);
+    if (m_modClass >= WIFI_MOD_CLASS_EHT)
+    {
+        sta1Dev->SetEhtConfiguration(CreateObject<EhtConfiguration>());
+    }
 
     Ptr<Node> sta2Node = CreateObject<Node>();
     Ptr<WifiNetDevice> sta2Dev = CreateObject<WifiNetDevice>();
-    m_phySta2 = CreateObject<OfdmaSpectrumWifiPhy>(2);
+    m_phySta2 = CreateObject<OfdmaSpectrumWifiPhy<LatestPhyEntityType>>(2);
     Ptr<InterferenceHelper> sta2InterferenceHelper = CreateObject<InterferenceHelper>();
     m_phySta2->SetInterferenceHelper(sta2InterferenceHelper);
     Ptr<ErrorRateModel> sta2ErrorModel = CreateObject<NistErrorRateModel>();
     m_phySta2->SetErrorRateModel(sta2ErrorModel);
     m_phySta2->SetDevice(sta2Dev);
     m_phySta2->AddChannel(spectrumChannel);
-    m_phySta2->ConfigureStandard(WIFI_STANDARD_80211ax);
-    m_phySta2->SetReceiveOkCallback(MakeCallback(&TestDlOfdmaPhyTransmission::RxSuccessSta2, this));
+    m_phySta2->ConfigureStandard(standard);
+    m_phySta2->SetReceiveOkCallback(
+        MakeCallback(&TestDlOfdmaPhyTransmission<LatestPhyEntityType>::RxSuccessSta2, this));
     m_phySta2->SetReceiveErrorCallback(
-        MakeCallback(&TestDlOfdmaPhyTransmission::RxFailureSta2, this));
+        MakeCallback(&TestDlOfdmaPhyTransmission<LatestPhyEntityType>::RxFailureSta2, this));
     Ptr<ConstantPositionMobilityModel> sta2Mobility = CreateObject<ConstantPositionMobilityModel>();
     m_phySta2->SetMobility(sta2Mobility);
     sta2Dev->SetPhy(m_phySta2);
     sta2Node->AggregateObject(sta2Mobility);
     sta2Node->AddDevice(sta2Dev);
+    sta2Dev->SetStandard(standard);
+    if (m_modClass >= WIFI_MOD_CLASS_EHT)
+    {
+        sta2Dev->SetEhtConfiguration(CreateObject<EhtConfiguration>());
+    }
 
     Ptr<Node> sta3Node = CreateObject<Node>();
     Ptr<WifiNetDevice> sta3Dev = CreateObject<WifiNetDevice>();
-    m_phySta3 = CreateObject<OfdmaSpectrumWifiPhy>(3);
+    m_phySta3 = CreateObject<OfdmaSpectrumWifiPhy<LatestPhyEntityType>>(3);
     Ptr<InterferenceHelper> sta3InterferenceHelper = CreateObject<InterferenceHelper>();
     m_phySta3->SetInterferenceHelper(sta3InterferenceHelper);
     Ptr<ErrorRateModel> sta3ErrorModel = CreateObject<NistErrorRateModel>();
     m_phySta3->SetErrorRateModel(sta3ErrorModel);
     m_phySta3->SetDevice(sta3Dev);
     m_phySta3->AddChannel(spectrumChannel);
-    m_phySta3->ConfigureStandard(WIFI_STANDARD_80211ax);
-    m_phySta3->SetReceiveOkCallback(MakeCallback(&TestDlOfdmaPhyTransmission::RxSuccessSta3, this));
+    m_phySta3->ConfigureStandard(standard);
+    sta3Dev->SetEhtConfiguration(CreateObject<EhtConfiguration>());
+    m_phySta3->SetReceiveOkCallback(
+        MakeCallback(&TestDlOfdmaPhyTransmission<LatestPhyEntityType>::RxSuccessSta3, this));
     m_phySta3->SetReceiveErrorCallback(
-        MakeCallback(&TestDlOfdmaPhyTransmission::RxFailureSta3, this));
+        MakeCallback(&TestDlOfdmaPhyTransmission<LatestPhyEntityType>::RxFailureSta3, this));
     Ptr<ConstantPositionMobilityModel> sta3Mobility = CreateObject<ConstantPositionMobilityModel>();
     m_phySta3->SetMobility(sta3Mobility);
     sta3Dev->SetPhy(m_phySta3);
     sta3Node->AggregateObject(sta3Mobility);
     sta3Node->AddDevice(sta3Dev);
+    sta3Dev->SetStandard(standard);
+    if (m_modClass >= WIFI_MOD_CLASS_EHT)
+    {
+        sta3Dev->SetEhtConfiguration(CreateObject<EhtConfiguration>());
+    }
 
     Ptr<Node> interfererNode = CreateObject<Node>();
     Ptr<NonCommunicatingNetDevice> interfererDev = CreateObject<NonCommunicatingNetDevice>();
@@ -779,8 +939,9 @@
     interfererNode->AddDevice(interfererDev);
 }
 
+template <typename LatestPhyEntityType>
 void
-TestDlOfdmaPhyTransmission::DoTeardown()
+TestDlOfdmaPhyTransmission<LatestPhyEntityType>::DoTeardown()
 {
     m_phyAp->Dispose();
     m_phyAp = nullptr;
@@ -794,8 +955,9 @@
     m_phyInterferer = nullptr;
 }
 
+template <typename LatestPhyEntityType>
 void
-TestDlOfdmaPhyTransmission::RunOne()
+TestDlOfdmaPhyTransmission<LatestPhyEntityType>::RunOne()
 {
     RngSeedManager::SetSeed(1);
     RngSeedManager::SetRun(1);
@@ -808,138 +970,165 @@
     auto channelNum = WifiPhyOperatingChannel::FindFirst(0,
                                                          m_frequency,
                                                          m_channelWidth,
-                                                         WIFI_STANDARD_80211ax,
-                                                         WIFI_PHY_BAND_5GHZ)
+                                                         WIFI_STANDARD_80211be,
+                                                         WIFI_PHY_BAND_6GHZ)
                           ->number;
 
-    m_phyAp->SetOperatingChannel(
-        WifiPhy::ChannelTuple{channelNum, m_channelWidth, WIFI_PHY_BAND_5GHZ, 0});
-    m_phySta1->SetOperatingChannel(
-        WifiPhy::ChannelTuple{channelNum, m_channelWidth, WIFI_PHY_BAND_5GHZ, 0});
-    m_phySta2->SetOperatingChannel(
-        WifiPhy::ChannelTuple{channelNum, m_channelWidth, WIFI_PHY_BAND_5GHZ, 0});
-    m_phySta3->SetOperatingChannel(
-        WifiPhy::ChannelTuple{channelNum, m_channelWidth, WIFI_PHY_BAND_5GHZ, 0});
+    const auto operatingChannel{
+        WifiPhy::ChannelTuple{channelNum, m_channelWidth, WIFI_PHY_BAND_6GHZ, 0}};
+    m_phyAp->SetOperatingChannel(operatingChannel);
+    m_phySta1->SetOperatingChannel(operatingChannel);
+    m_phySta2->SetOperatingChannel(operatingChannel);
+    m_phySta3->SetOperatingChannel(operatingChannel);
 
-    Simulator::Schedule(Seconds(0.5), &TestDlOfdmaPhyTransmission::ResetResults, this);
+    Simulator::Schedule(Seconds(0.5),
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::ResetResults,
+                        this);
 
     // Send MU PPDU with two PSDUs addressed to STA 1 and STA 2:
     // Each STA should receive its PSDU.
-    Simulator::Schedule(Seconds(1), &TestDlOfdmaPhyTransmission::SendMuPpdu, this, 1, 2);
+    Simulator::Schedule(Seconds(1),
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::SendMuPpdu,
+                        this,
+                        1,
+                        2);
 
     // Since it takes m_expectedPpduDuration to transmit the PPDU,
     // all 3 PHYs should be back to IDLE at the same time,
     // even the PHY that has no PSDU addressed to it.
     Simulator::Schedule(Seconds(1) + m_expectedPpduDuration - NanoSeconds(1),
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta1,
                         WifiPhyState::RX);
+
     Simulator::Schedule(Seconds(1) + m_expectedPpduDuration - NanoSeconds(1),
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta2,
                         WifiPhyState::RX);
     Simulator::Schedule(Seconds(1) + m_expectedPpduDuration - NanoSeconds(1),
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta3,
                         WifiPhyState::CCA_BUSY);
     Simulator::Schedule(Seconds(1) + m_expectedPpduDuration,
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta1,
                         WifiPhyState::IDLE);
     Simulator::Schedule(Seconds(1) + m_expectedPpduDuration,
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta2,
                         WifiPhyState::IDLE);
     Simulator::Schedule(Seconds(1) + m_expectedPpduDuration,
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta3,
                         WifiPhyState::IDLE);
 
     // One PSDU of 1000 bytes should have been successfully received by STA 1
     Simulator::Schedule(Seconds(1.1),
-                        &TestDlOfdmaPhyTransmission::CheckResultsSta1,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckResultsSta1,
                         this,
                         1,
                         0,
                         1000);
     // One PSDU of 1500 bytes should have been successfully received by STA 2
     Simulator::Schedule(Seconds(1.1),
-                        &TestDlOfdmaPhyTransmission::CheckResultsSta2,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckResultsSta2,
                         this,
                         1,
                         0,
                         1500);
     // No PSDU should have been received by STA 3
-    Simulator::Schedule(Seconds(1.1), &TestDlOfdmaPhyTransmission::CheckResultsSta3, this, 0, 0, 0);
+    Simulator::Schedule(Seconds(1.1),
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckResultsSta3,
+                        this,
+                        0,
+                        0,
+                        0);
 
-    Simulator::Schedule(Seconds(1.5), &TestDlOfdmaPhyTransmission::ResetResults, this);
+    Simulator::Schedule(Seconds(1.5),
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::ResetResults,
+                        this);
 
     // Send MU PPDU with two PSDUs addressed to STA 1 and STA 3:
     // STA 1 should receive its PSDU, whereas STA 2 should not receive any PSDU
     // but should keep its PHY busy during all PPDU duration.
-    Simulator::Schedule(Seconds(2), &TestDlOfdmaPhyTransmission::SendMuPpdu, this, 1, 3);
+    Simulator::Schedule(Seconds(2),
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::SendMuPpdu,
+                        this,
+                        1,
+                        3);
 
     // Since it takes m_expectedPpduDuration to transmit the PPDU,
     // all 3 PHYs should be back to IDLE at the same time,
     // even the PHY that has no PSDU addressed to it.
     Simulator::Schedule(Seconds(2) + m_expectedPpduDuration - NanoSeconds(1),
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta1,
                         WifiPhyState::RX);
     Simulator::Schedule(Seconds(2) + m_expectedPpduDuration - NanoSeconds(1),
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta2,
                         WifiPhyState::CCA_BUSY);
     Simulator::Schedule(Seconds(2) + m_expectedPpduDuration - NanoSeconds(1),
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta3,
                         WifiPhyState::RX);
     Simulator::Schedule(Seconds(2) + m_expectedPpduDuration,
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta1,
                         WifiPhyState::IDLE);
     Simulator::Schedule(Seconds(2) + m_expectedPpduDuration,
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta2,
                         WifiPhyState::IDLE);
     Simulator::Schedule(Seconds(2) + m_expectedPpduDuration,
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta3,
                         WifiPhyState::IDLE);
 
     // One PSDU of 1000 bytes should have been successfully received by STA 1
     Simulator::Schedule(Seconds(2.1),
-                        &TestDlOfdmaPhyTransmission::CheckResultsSta1,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckResultsSta1,
                         this,
                         1,
                         0,
                         1000);
     // No PSDU should have been received by STA 2
-    Simulator::Schedule(Seconds(2.1), &TestDlOfdmaPhyTransmission::CheckResultsSta2, this, 0, 0, 0);
+    Simulator::Schedule(Seconds(2.1),
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckResultsSta2,
+                        this,
+                        0,
+                        0,
+                        0);
     // One PSDU of 1500 bytes should have been successfully received by STA 3
     Simulator::Schedule(Seconds(2.1),
-                        &TestDlOfdmaPhyTransmission::CheckResultsSta3,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckResultsSta3,
                         this,
                         1,
                         0,
                         1500);
 
-    Simulator::Schedule(Seconds(2.5), &TestDlOfdmaPhyTransmission::ResetResults, this);
+    Simulator::Schedule(Seconds(2.5),
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::ResetResults,
+                        this);
 
     // Send MU PPDU with two PSDUs addressed to STA 1 and STA 2:
-    Simulator::Schedule(Seconds(3), &TestDlOfdmaPhyTransmission::SendMuPpdu, this, 1, 2);
+    Simulator::Schedule(Seconds(3),
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::SendMuPpdu,
+                        this,
+                        1,
+                        2);
 
     // A strong non-wifi interference is generated on RU 1 during PSDU reception
     BandInfo bandInfo;
@@ -954,8 +1143,8 @@
     Watt_u interferencePower{0.1};
     *interferencePsdRu1 = interferencePower / (MHzToHz(m_channelWidth / 2) * 20);
 
-    Simulator::Schedule(Seconds(3) + MicroSeconds(50),
-                        &TestDlOfdmaPhyTransmission::GenerateInterference,
+    Simulator::Schedule(Seconds(3) + MicroSeconds(40),
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::GenerateInterference,
                         this,
                         interferencePsdRu1,
                         MilliSeconds(100));
@@ -964,53 +1153,69 @@
     // both PHYs should be back to CCA_BUSY (due to the interference) at the same time,
     // even the PHY that has no PSDU addressed to it.
     Simulator::Schedule(Seconds(3) + m_expectedPpduDuration - NanoSeconds(1),
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta1,
                         WifiPhyState::RX);
     Simulator::Schedule(Seconds(3) + m_expectedPpduDuration - NanoSeconds(1),
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta2,
                         WifiPhyState::RX);
     Simulator::Schedule(Seconds(3) + m_expectedPpduDuration - NanoSeconds(1),
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta3,
                         WifiPhyState::CCA_BUSY);
     Simulator::Schedule(Seconds(3) + m_expectedPpduDuration,
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta1,
                         WifiPhyState::CCA_BUSY);
     Simulator::Schedule(Seconds(3) + m_expectedPpduDuration,
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta2,
                         WifiPhyState::CCA_BUSY);
     Simulator::Schedule(Seconds(3) + m_expectedPpduDuration,
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta3,
                         WifiPhyState::CCA_BUSY);
 
-    // One PSDU of 1000 bytes should have been unsuccessfuly received by STA 1 (since interference
+    // One PSDU of 1000 bytes should have been unsuccessfully received by STA 1 (since interference
     // occupies RU 1)
-    Simulator::Schedule(Seconds(3.1), &TestDlOfdmaPhyTransmission::CheckResultsSta1, this, 0, 1, 0);
+    Simulator::Schedule(Seconds(3.1),
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckResultsSta1,
+                        this,
+                        0,
+                        1,
+                        0);
     // One PSDU of 1500 bytes should have been successfully received by STA 2
     Simulator::Schedule(Seconds(3.1),
-                        &TestDlOfdmaPhyTransmission::CheckResultsSta2,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckResultsSta2,
                         this,
                         1,
                         0,
                         1500);
     // No PSDU should have been received by STA3
-    Simulator::Schedule(Seconds(3.1), &TestDlOfdmaPhyTransmission::CheckResultsSta3, this, 0, 0, 0);
+    Simulator::Schedule(Seconds(3.1),
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckResultsSta3,
+                        this,
+                        0,
+                        0,
+                        0);
 
-    Simulator::Schedule(Seconds(3.5), &TestDlOfdmaPhyTransmission::ResetResults, this);
+    Simulator::Schedule(Seconds(3.5),
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::ResetResults,
+                        this);
 
     // Send MU PPDU with two PSDUs addressed to STA 1 and STA 2:
-    Simulator::Schedule(Seconds(4), &TestDlOfdmaPhyTransmission::SendMuPpdu, this, 1, 2);
+    Simulator::Schedule(Seconds(4),
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::SendMuPpdu,
+                        this,
+                        1,
+                        2);
 
     // A strong non-wifi interference is generated on RU 2 during PSDU reception
     bandInfo.fc = MHzToHz(m_frequency + (m_channelWidth / 4));
@@ -1023,8 +1228,8 @@
     Ptr<SpectrumValue> interferencePsdRu2 = Create<SpectrumValue>(SpectrumInterferenceRu2);
     *interferencePsdRu2 = interferencePower / (MHzToHz(m_channelWidth / 2) * 20);
 
-    Simulator::Schedule(Seconds(4) + MicroSeconds(50),
-                        &TestDlOfdmaPhyTransmission::GenerateInterference,
+    Simulator::Schedule(Seconds(4) + MicroSeconds(40),
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::GenerateInterference,
                         this,
                         interferencePsdRu2,
                         MilliSeconds(100));
@@ -1033,34 +1238,34 @@
     // both PHYs should be back to IDLE (or CCA_BUSY if interference on the primary 20 MHz) at the
     // same time, even the PHY that has no PSDU addressed to it.
     Simulator::Schedule(Seconds(4) + m_expectedPpduDuration - NanoSeconds(1),
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta1,
                         WifiPhyState::RX);
     Simulator::Schedule(Seconds(4) + m_expectedPpduDuration - NanoSeconds(1),
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta2,
                         WifiPhyState::RX);
     Simulator::Schedule(Seconds(4) + m_expectedPpduDuration - NanoSeconds(1),
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta3,
                         WifiPhyState::CCA_BUSY);
     Simulator::Schedule(Seconds(4) + m_expectedPpduDuration,
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta1,
                         (m_channelWidth >= MHz_u{40}) ? WifiPhyState::IDLE
                                                       : WifiPhyState::CCA_BUSY);
     Simulator::Schedule(Seconds(4) + m_expectedPpduDuration,
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta2,
                         (m_channelWidth >= MHz_u{40}) ? WifiPhyState::IDLE
                                                       : WifiPhyState::CCA_BUSY);
     Simulator::Schedule(Seconds(4) + m_expectedPpduDuration,
-                        &TestDlOfdmaPhyTransmission::CheckPhyState,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckPhyState,
                         this,
                         m_phySta3,
                         (m_channelWidth >= MHz_u{40}) ? WifiPhyState::IDLE
@@ -1068,21 +1273,37 @@
 
     // One PSDU of 1000 bytes should have been successfully received by STA 1
     Simulator::Schedule(Seconds(4.1),
-                        &TestDlOfdmaPhyTransmission::CheckResultsSta1,
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckResultsSta1,
                         this,
                         1,
                         0,
                         1000);
-    // One PSDU of 1500 bytes should have been unsuccessfuly received by STA 2 (since interference
+    // One PSDU of 1500 bytes should have been unsuccessfully received by STA 2 (since interference
     // occupies RU 2)
-    Simulator::Schedule(Seconds(4.1), &TestDlOfdmaPhyTransmission::CheckResultsSta2, this, 0, 1, 0);
+    Simulator::Schedule(Seconds(4.1),
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckResultsSta2,
+                        this,
+                        0,
+                        1,
+                        0);
     // No PSDU should have been received by STA3
-    Simulator::Schedule(Seconds(4.1), &TestDlOfdmaPhyTransmission::CheckResultsSta3, this, 0, 0, 0);
+    Simulator::Schedule(Seconds(4.1),
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::CheckResultsSta3,
+                        this,
+                        0,
+                        0,
+                        0);
 
-    Simulator::Schedule(Seconds(4.5), &TestDlOfdmaPhyTransmission::ResetResults, this);
+    Simulator::Schedule(Seconds(4.5),
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::ResetResults,
+                        this);
 
     // Send MU PPDU with two PSDUs addressed to STA 1 and STA 2:
-    Simulator::Schedule(Seconds(5), &TestDlOfdmaPhyTransmission::SendMuPpdu, this, 1, 2);
+    Simulator::Schedule(Seconds(5),
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::SendMuPpdu,
+                        this,
+                        1,
+                        2);
 
     // A strong non-wifi interference is generated on the full band during PSDU reception
     bandInfo.fc = MHzToHz(m_frequency);
@@ -1095,8 +1316,8 @@
     Ptr<SpectrumValue> interferencePsdAll = Create<SpectrumValue>(SpectrumInterferenceAll);
     *interferencePsdAll = interferencePower / (MHzToHz(m_channelWidth) * 20);
 
-    Simulator::Schedule(Seconds(5) + MicroSeconds(50),
-                        &TestDlOfdmaPhyTransmission::GenerateInterference,
+    Simulator::Schedule(Seconds(5) + MicroSeconds(40),
+                        &TestDlOfdmaPhyTransmission<LatestPhyEntityType>::GenerateInterference,
                         this,
                         interferencePsdAll,
                         MilliSeconds(100));
